Bug 196023 - path to gtk.immoduels changes on i386
Summary: path to gtk.immoduels changes on i386
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-20 13:07 UTC by Jens Petersen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-25 16:05:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2006-06-20 13:07:33 UTC
Description of problem:
The directory changed from /etc/gtk-2.0/i386-redhat-linux-gnu/
to /etc/gtk-2.0/i686-redhat-linux-gnu/ which breaks upgrades
of scim-libs.i386 which assumes "update-gtk-immodules i386-redhat-linux-gnu".

Version-Release number of selected component (if applicable):
gtk2-2.8.19-{1,2}

How reproducible:
every time

Additional info:
Not really sure if anything can be done about it except possibly
reverting the path, the problem could at least be softened then
for the future with a scim update to error update-gtk-immodules errors.

Anyway I'm filing this to at least hopefully avoid this kind of backward
compatibility breakage in the future. :)

Comment 1 Matthias Clasen 2007-02-25 16:05:47 UTC
I have made the update scripts more tolerant to path changes some time ago, so I
think this should not be that much of a problem anymore.


Note You need to log in before you can comment on or make changes to this bug.